Subject: Re: Organizing "non-free"

From: "Brian C. White" <[email-masked]>
Date: Mon, 17 Jun 1996 12:33:06 -0400

> >> > Sorry to bother you again, but I thought non-free was precisely for
> >> > packages which may not be sold on CDs.  Now I am confused.
> >>
> >> You're not the only one. For example, shareware programs can be "sold" on CD
> >> but require payment for use. I'd be more specific, but I can't get to
> >> "master" at the moment. I'd better send Simon a note...
> >
> >This is one of the things I would like to improve about non-free's
> >organization.  It would be a "Good Thing" (tm) in my opinion to at least
> >differentiate between "non-free to distribute" and "non-free to use".
>
> Umm, "non-free to distribute" shouldn't be on /any/ ftp site, right?

Not always.  Just because something isn't "freely distributable" doesn't
mean that has not distributable by any specific medium, just that it can't
be distributed on all mediums.  Many programs can be made available over
FTP and yet prohibit distribution on CD-Rom.

As a person who writes some shareware applications, I would like to be able
to put in the distribution knowing that CD-Rom manufacturers will pick it
up.  If users choose to use it, then they have to pay for it.  In the end,
everybody wins.  I win because I have a bigger distribution channel.  Users
win because they have more readily available applications.  Debian wins
because it will have more users and higher satisfaction.

                                        Brian
                               ( [email-masked] )

-------------------------------------------------------------------------------
    In theory, theory and practice are the same.  In practice, they're not.